|  | Home · All Classes · Modules

# QAssistantClient Class Reference
[QtAssistant module]

Inherits QObject.

### Methods

- __init__ (self, QString path, QObject parent = None)
- closeAssistant (self)
- bool isOpen (self)
- openAssistant (self)
- setArguments (self, QStringList arguments)
- showPage (self, QString page)

### Qt Signals

- void assistantClosed ()
- void assistantOpened ()
- void error (const QString&)

## Detailed Description

## Method Documentation

### QAssistantClient.__init__ (self, QString path, QObject parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

### QAssistantClient.closeAssistant (self)

This method is also a Qt slot with the C++ signature `void closeAssistant()`.

### bool QAssistantClient.isOpen (self)

### QAssistantClient.openAssistant (self)

This method is also a Qt slot with the C++ signature `void openAssistant()`.

### QAssistantClient.setArguments (self, QStringList arguments)

### QAssistantClient.showPage (self, QString page)

This method is also a Qt slot with the C++ signature `void showPage(const QString&)`.

## Qt Signal Documentation

### void assistantClosed ()

This is the default overload of this signal.

### void assistantOpened ()

This is the default overload of this signal.

### void error (const QString&)

This is the default overload of this signal.